{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidCaissespersonnes }}</div>
{% endblock %}

{% block formulaire %}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
    {# Génération du label. #}
    {% if poForm.ccivilite is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.ccivilite, "Civilité ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.ccivilite, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.cnom is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
    {# Génération du label. #}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
    {% if poForm.cprenom is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.cprenom, "Prénom ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cprenom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.ctel is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.ctel, "Tel. ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.ctel, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %} 
    </div>
            
    {# Génération du label. #}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
    {% if poForm.cport is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.cport, "Portable ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cport, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.cfax is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.cfax, "Fax ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.cfax, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
    {# Génération du label. #}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
    {% if poForm.cemail is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.cemail, "Courriel ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cemail, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.mcommentaire is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.mcommentaire, "Comm. ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>

    {# Génération du label. #}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
    {% if poForm.cfonction is defined %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.cfonction, "Fonction ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cfonction, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
	
{#LG 20190214 début#}
    {% if (poForm.icaisse is defined) %}
        <div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
            {{ form_label(poForm.icaisse, "Caisse ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.icaisse, {'attr': {'class': 'form-control', 'LGDataRole': 'FK.Caisses.iId_Caisse'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
{#LG 20190214 fin#}
{% endblock %}